---
updatedAt: 2026-07-20T09:20:44.000Z
agentTools:
  projectIndex: https://docs.ozonetel.com/llms.txt
---

# Set Campaign Status (Basic authentication)

This API is used to set the status of the campaign to start or stop. The action parameter MUST be "Start" to start the campaign or "Stop" to stop the campaign.

> 👍 Note:
>
> Make sure the admin setting 'API Authentication' is set to 'BASIC\_AUTH', If you are using this API.

<br />

> 📘 APIs Domain Name
>
> **For domestic ccaas** - enter the domain: in1-ccaas-api.ozonetel.com
>
> **For international ccaas** - enter the domain: api.ccaas.ozonetel.com
>
> **For Partners** - enter the respective URL

## Header parameters

| Parameter    | Description                     |
| :----------- | :------------------------------ |
| apiKey\*     | Your CloudAgent account API Key |
| Content-Type | application/json                |

## Body Params

> \{\
> "userName": "xxxxx",\
> "campaignName": "xxxxx",\
> "action": "Stop",\
> "process": true\
> }

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        userName*
      </td>

      <td>
        Your CloudAgent account username
      </td>
    </tr>

    <tr>
      <td>
        campaignName*
      </td>

      <td>
        Name of the campaign, as configured in the CloudAgent account.
      </td>
    </tr>

    <tr>
      <td>
        action*
      </td>

      <td>
        "Start" to start the campaign.  
        "Stop" to stop the campaign.
      </td>
    </tr>

    <tr>
      <td>
        process*
      </td>

      <td>
        Should be - true
      </td>
    </tr>
  </tbody>
</Table>

# Possible Responses

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>

      </th>

      <th>

      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        Success response (campaign started)
      </td>

      <td>
        "status": "SUCCESS"  
        "message": "SUCCESSFULLY UPDATED, Progressive was started"}
      </td>
    </tr>

    <tr>
      <td>
        Success response (campaign stopped)
      </td>

      <td>
        "status": "SUCCESS"  
        "message": "SUCCESSFULLY UPDATED, Progressive was stopped"
      </td>
    </tr>

    <tr>
      <td>
        Error
      </td>

      <td>
        "status": "failure"  
        "message": "All parameters are mandatory"
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Set Campaign Status Basic 1",
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://{domainname}/",
      "description": "The production API server",
      "variables": {
        "username": {
          "default": "in1-ccaas-api.ozonetel.com"
        }
      }
    }
  ],
  "paths": {
    "/ca_apis/setCampaignStatus": {
      "put": {
        "tags": [
          "default"
        ],
        "summary": "Set Campaign Status (Basic authentication)",
        "description": "",
        "requestBody": {
          "content": {
            "*/*": {
              "schema": {
                "type": "string",
                "example": {
                  "campaignName": "xxxxxx",
                  "phoneNumber": "830xxxxxxx",
                  "Name": "xxxxx",
                  "action": "xxxxx",
                  "skill": "xxxxx",
                  "priority": "xx",
                  "agentId": "xxxxx",
                  "expiryDate": "YYYY-MM-DD",
                  "checkDuplicate": "xxxx",
                  "userName": "xxxxxx"
                }
              }
            }
          }
        },
        "parameters": [
          {
            "name": "apiKey",
            "in": "header",
            "schema": {
              "type": "string"
            },
            "example": "xxxxxx"
          },
          {
            "name": "Content-Type",
            "in": "header",
            "schema": {
              "type": "string"
            },
            "example": "application/json"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {}
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```